Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.resolver.webdav
Interface DefaultWebdavContentHandler

All Superinterfaces:
  org.xml.sax.ContentHandler, DefaultContentHandler, ResettableContentHandler

    public interface DefaultWebdavContentHandler

extends DefaultContentHandler

Extension of the `AtomThreadingContentHandler` interface that provides convenience methods to more easily generate ATOM threading events.

The `atomXXX` methods generate complete ATOM tags, consisting of the start tag, an optional body and an end tag.

The `startXXX` methods are provided for convenience for those cases when no extra attributes are required for a starting element.

The `dateTime` methods write a date string in RFC3339 date format into a text() element.

The `uri` methods serialize URIs into a text() element.

The `text` methods serialize text() elements.

Since:
  6.1

Nested Class Summary
`static class` | `DefaultWebdavContentHandler.LockScope` Identifies the scope of the lock
`static class` | `DefaultWebdavContentHandler.LockType` Identifies the type of the lock
`static class` | `DefaultWebdavContentHandler.ResourceType` possible resource types

Method Summary
`void` | `dateTimeISO8601(java.util.Date date)` Converts the date into ISO 8601 format and Passes it on to the `ContentHandler.characters(char[], int, int)` method.
`void` | `dateTimeISO8601(long date)` Converts the date into ISO 8601 format and passes it on to the `ContentHandler.characters(char[], int, int)` method.
`void` | `dateTimeRFC2068(java.util.Date date)` Converts the date into RFC 2068 format and Passes it on to the `ContentHandler.characters(char[], int, int)` method.
`void` | `dateTimeRFC2068(long date)` Converts the date into RFC 2068 format and passes it on to the `ContentHandler.characters(char[], int, int)` method.
`void` | `endElement(javax.xml.namespace.QName element)`
`void` | `startAbstract()` Describes whether a privilege is abstract
`void` | `startAce()` Describes one access control entry on a resource Description: Each DAV:ace element specifies the set of privileges to be either granted or denied to a single principal.
`void` | `startAcl()` Describes the access control list on a resource Description: This is a protected property that specifies the list of access control entries (ACEs), which define what principals are to get what privileges for this resource.
`void` | `startAclRestrictions()` Describes the acl restricitons of this server Description: This protected property defines the types of ACLs supported by this server, to avoid clients needlessly getting errors.
`void` | `startActiveLock()` Describes a lock on a resource.
`void` | `startAllProp()` The allprop XML element specifies that all property names and values on the resource are to be returned.
`void` | `startCollection()` Identifies the associated resource as a collection.
`void` | `startContentClass()` MS extension
`void` | `startCreationDate()` Records the time and date the resource was created.
`void` | `startCurrentUserPrivilegeSet()` Describes the privileges of the current user Description: DAV:current-user-privilege-set is a protected property containing the exact set of privileges (as computed by the server) granted to the currently authenticated HTTP user.
`void` | `startDefaultDocument()` MS extension
`void` | `startDeny()` Describes that the related privileges are denied from to a principal Description: Each DAV:grant or DAV:deny element specifies the set of privileges to be either granted or denied to the specified principal.
`void` | `startDenyBeforeGrant()` Describes a ACL restriction: Deny must precede grant Description: This element indicates that all deny ACEs must precede all grant ACEs.
`void` | `startDepth()` The value of the Depth header.
`void` | `startDescription()` Describes a privilege
`void` | `startDisplayName()` Provides a name for the resource that is suitable for presentation to a user.
`void` | `startDst()` Indicates the destination of a link
`void` | `startElement(javax.xml.namespace.QName element)`
`void` | `startExclusive()` Specifies an exclusive lock
`void` | `startGetContentLanguage()` Contains the Content-Language header returned by a GET without accept headers Description: The getcontentlanguage property MUST be defined on any DAV compliant resource that returns the Content-Language header on a GET.
`void` | `startGetContentLength()` Contains the Content-Length header returned by a GET without accept headers.
`void` | `startGetContentType()` Contains the Content-Type header returned by a GET without accept headers.
`void` | `startGetETag()` Contains the ETag header returned by a GET without accept headers.
`void` | `startGetLastModified()` Contains the Last-Modified header returned by a GET method without accept headers.
`void` | `startGrant()` Describes that the related privileges are granted to a principal Description: Each DAV:grant or DAV:deny element specifies the set of privileges to be either granted or denied to the specified principal.
`void` | `startGrantOnly()` Describes a ACL restriction: No deny is allowed Description: This element indicates that ACEs with deny clauses are not allowed.
`void` | `startGroup()` Describes the group of a resource Description: This property identifies a particular principal as being the "group" of the resource.
`void` | `startGroup(org.xml.sax.Attributes attrs)` Describes the group of a resource Description: This property identifies a particular principal as being the "group" of the resource.
`void` | `startHref()` Identifies the content of the element as a URI.
`void` | `startInherited()` Describes that the ACE is protected Description: The presence of a DAV:inherited element indicates that this ACE is inherited from another resource that is identified by the URL contained in a DAV:href element.
`void` | `startInheritedAclSet()` Describes the resources that inherit ACLs to a resource Description: This protected property contains a set of URLs that identify other resources that also control the access to this resource.
`void` | `startIsCollection()` MS extension
`void` | `startIsHidden()` MS extension The ishidden field specifies whether an item is hidden.
`void` | `startIsReadOnly()` MS extension
`void` | `startIsRoot()` MS extension
`void` | `startIsStructuredDocument()` MS extension
`void` | `startKeepAlive()` Specifies requirements for the copying/moving of live properties.
`void` | `startLastAccessed()` MS extension
`void` | `startLink()` Identifies the property as a link and contains the source and destination of that link.
`void` | `startLockDiscovery()` Describes the active locks on a resource Description: The lockdiscovery property returns a listing of who has a lock, what type of lock he has, the timeout type and the time remaining on the timeout, and the associated lock token.
`void` | `startLockEntry()` Defines the types of locks that can be used with the resource.
`void` | `startLockInfo()` The lockinfo XML element is used with a LOCK method to specify the type of lock the client wishes to have created.
`void` | `startLockScope()` Specifies whether a lock is an exclusive lock, or a shared lock.
`void` | `startLockToken()` The lock token associated with a lock.
`void` | `startLockType()` Specifies the access type of a lock.
`void` | `startMultiStatus()` Contains multiple response messages.
`void` | `startName()` MS extension
`void` | `startNoInvert()` Describes a ACL restriction: No invert is allowed Description: This element indicates that ACEs with the element are not allowed.
`void` | `startOmit()` The omit XML element instructs the server that it should use best effort to copy properties but a failure to copy a property MUST NOT cause the method to fail.
`void` | `startOwner()` Provides information about the principal taking out a lock.
`void` | `startParentName()` MS extension The parentname field specifies the name of the folder that contains an item
`void` | `startPrincipal()` Describes the principal Description: The DAV:principal element identifies the principal to which this ACE applies.
`void` | `startPrincipalCollectionSet()` Describes the sets of principals Description: This protected property of a resource contains a set of URLs that identify the root collections that contain the principals that are available on the server that implements this resource.
`void` | `startPrivilege()` one supported privilege of a resource
`void` | `startProp()` Contains properties related to a resource.
`void` | `startPropertyBehavior()` Specifies how properties are handled during a COPY or MOVE.
`void` | `startPropertyUpdate()` Contains a request to alter the properties on a resource.
`void` | `startPropFind()` Specifies the properties to be returned from a PROPFIND method.
`void` | `startPropName()` The propname XML element specifies that only a list of property names on the resource is to be returned.
`void` | `startPropStat()` Groups together a prop and status element that is associated with a particular href element.
`void` | `startProtected()` Describes that the ACE is protected Description: A server indicates an ACE is protected by including the DAV:protected element in the ACE.
`void` | `startRemove()` Lists the DAV properties to be removed from a resource.
`void` | `startRequiredPrincipals()` Describes a ACL restriction: List of required principals Description: The required principal elements identify which principals must have an ACE defined in the ACL.
`void` | `startResourceType()` Specifies the nature of the resource.
`void` | `startResponse()` Holds a single response describing the effect of a method on resource and/or its properties.
`void` | `startResponseDescription()` Contains a message that can be displayed to the user explaining the nature of the response.
`void` | `startSet()` Lists the DAV property values to be set for a resource.
`void` | `startShared()` Specifies a shared lock
`void` | `startSource()` The destination of the source link identifies the resource that contains the unprocessed source of the link's source.
`void` | `startSrc()` Indicates the source of a link.
`void` | `startStatus()` Holds a single HTTP status-line Value: status-line ;status-line defined in [RFC2068]
`void` | `startSupportedLock()` To provide a listing of the lock capabilities supported by the resource.
`void` | `startSupportedPrivilege()` Describes one supported privilege of a resource
`void` | `startSupportedPrivilegeSet()` Describes the supported privileges of a resource Description: This is a protected property that identifies the privileges defined for the resource.
`void` | `startTimeout()` The timeout associated with a lock
`void` | `startWrite()` Specifies a write lock.
`void` | `webdavAbstract()`
`void` | `webdavAce()`
`void` | `webdavAcl()`
`void` | `webdavAclRestrictions()`
`void` | `webdavAllProp()` The allprop XML element specifies that all property names and values on the resource are to be returned.
`void` | `webdavCollection()`
`void` | `webdavContentClass()` MS extension
`void` | `webdavContentClass(java.lang.String rClass)` MS extension
`void` | `webdavCreationDate()`
`void` | `webdavCreationDate(java.util.Date date)`
`void` | `webdavCreationDate(long date)`
`void` | `webdavCurrentUserPrivilegeSet()`
`void` | `webdavDefaultDocument()` MS extension
`void` | `webdavDefaultDocument(java.lang.String rName)` MS extension
`void` | `webdavDeny()`
`void` | `webdavDenyBeforeGrant()`
`void` | `webdavDepth(int aDepth)` The value of the Depth header.
`void` | `webdavDepth(java.lang.String aDepth)` The value of the Depth header.
`void` | `webdavDescription(java.util.Locale loc, java.lang.String text)`
`void` | `webdavDisplayName()`
`void` | `webdavDisplayName(java.lang.String name)`
`void` | `webdavElement(javax.xml.namespace.QName element)`
`void` | `webdavElement(java.net.URI element)`
`void` | `webdavExclusive()` Specifies an exclusive lock
`void` | `webdavGetContentLanguage()`
`void` | `webdavGetContentLanguage(java.util.Locale locale)`
`void` | `webdavGetContentLanguage(java.lang.String locale)`
`void` | `webdavGetContentLength()`
`void` | `webdavGetContentLength(int size)`
`void` | `webdavGetContentLength(long size)`
`void` | `webdavGetContentType()`
`void` | `webdavGetContentType(java.lang.String ct)`
`void` | `webdavGetETag()`
`void` | `webdavGetETag(java.lang.String eTag)`
`void` | `webdavGetLastAccessed(java.util.Date rDate)` MS extension
`void` | `webdavGetLastModified()`
`void` | `webdavGetLastModified(java.util.Date time)`
`void` | `webdavGetLastModified(long time)`
`void` | `webdavGrant()`
`void` | `webdavGrantOnly()`
`void` | `webdavGroup()`
`void` | `webdavHref()` Identifies the content of the element as a URI.
`void` | `webdavHref(java.lang.String href)`
`void` | `webdavHref(java.net.URI href)`
`void` | `webdavHref(java.net.URL href)`
`void` | `webdavInherited()`
`void` | `webdavInheritedAclSet()`
`void` | `webdavIsCollection()` MS extension
`void` | `webdavIsCollection(boolean bFlag)` MS extension
`void` | `webdavIsHidden()` MS extension The ishidden field specifies whether an item is hidden.
`void` | `webdavIsHidden(boolean bIsHidden)` MS extension The ishidden field specifies whether an item is hidden.
`void` | `webdavIsReadOnly()` MS extension
`void` | `webdavIsReadOnly(boolean bFlag)` MS extension
`void` | `webdavIsRoot()` MS extension
`void` | `webdavIsRoot(boolean bFlag)` MS extension
`void` | `webdavIsStructuredDocument()` MS extension
`void` | `webdavIsStructuredDocument(boolean bFlag)` MS extension
`void` | `webdavLastAccessed()` MS extension
`void` | `webdavLastAccessed(long rDate)` MS extension
`void` | `webdavLockDiscovery()` Describes the active locks on a resource Description: The lockdiscovery property returns a listing of who has a lock, what type of lock he has, the timeout type and the time remaining on the timeout, and the associated lock token.
`void` | `webdavLockEntry(DefaultWebdavContentHandler.LockScope aScope, DefaultWebdavContentHandler.LockType aType)` Defines the types of locks that can be used with the resource.
`void` | `webdavLockInfo(DefaultWebdavContentHandler.LockType aType, DefaultWebdavContentHandler.LockScope aScope, org.w3c.dom.Document aOwner)` The lockinfo XML element is used with a LOCK method to specify the type of lock the client wishes to have created.
`void` | `webdavLockInfo(DefaultWebdavContentHandler.LockType aType, DefaultWebdavContentHandler.LockScope aScope, java.lang.String aOwner)` The lockinfo XML element is used with a LOCK method to specify the type of lock the client wishes to have created.
`void` | `webdavLockScope(DefaultWebdavContentHandler.LockScope scope)` Specifies whether a lock is an exclusive lock, or a shared lock.
`void` | `webdavLockToken(java.net.URI aToken)` The lock token associated with a lock.
`void` | `webdavLockType(DefaultWebdavContentHandler.LockType type)` Specifies the access type of a lock.
`void` | `webdavName()` MS extension
`void` | `webdavName(java.lang.String rName)` MS extension
`void` | `webdavNoInvert()`
`void` | `webdavOwner(org.w3c.dom.Document owner)` Provides information about the principal taking out a lock.
`void` | `webdavOwner(java.lang.String owner)` Provides information about the principal taking out a lock.
`void` | `webdavParentName()` MS extension The parentname field specifies the name of the folder that contains an item
`void` | `webdavParentName(java.lang.String rName)` MS extension The parentname field specifies the name of the folder that contains an item
`void` | `webdavPrincipal(java.net.URI principal)`
`void` | `webdavPrincipal(java.net.URL principal)`
`void` | `webdavPrincipalCollectionSet()`
`void` | `webdavPrivilege()`
`void` | `webdavPrivilege(javax.xml.namespace.QName privilege)`
`void` | `webdavPropName()` The propname XML element specifies that only a list of property names on the resource is to be returned.
`void` | `webdavProtected()`
`void` | `webdavRequiredPrincipals()`
`void` | `webdavResourceType()`
`void` | `webdavResourceType(DefaultWebdavContentHandler.ResourceType type)`
`void` | `webdavShared()` Specifies a shared lock
`void` | `webdavSource()` The destination of the source link identifies the resource that contains the unprocessed source of the link's source.
`void` | `webdavStatus(int code)`
`void` | `webdavStatus(java.lang.String statusLine)`
`void` | `webdavSupportedLock()` To provide a listing of the lock capabilities supported by the resource.
`void` | `webdavSupportedPrivilege()`
`void` | `webdavSupportedPrivilegeSet()`
`void` | `webdavTimeout(long aTimeout)` The timeout associated with a lock
`void` | `webdavWrite()` Specifies a write lock.

Methods inherited from interface com.ibm.portal.resolver.xml.DefaultContentHandler
`dateTime, dateTime, getInnerContentHandler, getResult, getWriter, number, number, text, text, transform, uri, uri, uri, uri`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Method Detail

### dateTimeISO8601

    void dateTimeISO8601(java.util.Date date)
                         throws org.xml.sax.SAXException

  Converts the date into ISO 8601 format and Passes it on to the `ContentHandler.characters(char[], int, int)` method.

  Parameters:
    `date` - date to write, not `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the text could not be written

### dateTimeISO8601

    void dateTimeISO8601(long date)
                         throws org.xml.sax.SAXException

  Converts the date into ISO 8601 format and passes it on to the `ContentHandler.characters(char[], int, int)` method.

  Parameters:
    `date` - The date is specified as the milliseconds since January 1, 1970, 00:00:00 GMT. not `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the text could not be written

### dateTimeRFC2068

    void dateTimeRFC2068(java.util.Date date)
                         throws org.xml.sax.SAXException

  Converts the date into RFC 2068 format and Passes it on to the `ContentHandler.characters(char[], int, int)` method.

  Parameters:
    `date` - date to write, not `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the text could not be written

### dateTimeRFC2068

    void dateTimeRFC2068(long date)
                         throws org.xml.sax.SAXException

  Converts the date into RFC 2068 format and passes it on to the `ContentHandler.characters(char[], int, int)` method.

  Parameters:
    `date` - The date is specified as the milliseconds since January 1, 1970, 00:00:00 GMT. not `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the text could not be written

### startActiveLock

    void startActiveLock()
                         throws org.xml.sax.SAXException

  Describes a lock on a resource.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startAllProp

    void startAllProp()
                      throws org.xml.sax.SAXException

  The allprop XML element specifies that all property names and values on the resource are to be returned.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavAllProp

    void webdavAllProp()
                       throws org.xml.sax.SAXException

  The allprop XML element specifies that all property names and values on the resource are to be returned.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startCollection

    void startCollection()
                         throws org.xml.sax.SAXException

  Identifies the associated resource as a collection. The resourcetype property of a collection resource MUST have this value.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startCreationDate

    void startCreationDate()
                           throws org.xml.sax.SAXException

  Records the time and date the resource was created. Value: date-time ; See Appendix 2 Description: The creationdate property should be defined on all DAV compliant resources. If present, it contains a timestamp of the moment when the resource was created (i.e., the moment it had non- null state).

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startDepth

    void startDepth()
                    throws org.xml.sax.SAXException

  The value of the Depth header.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavDepth

    void webdavDepth(java.lang.String aDepth)
                     throws org.xml.sax.SAXException

  The value of the Depth header.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavDepth

    void webdavDepth(int aDepth)
                     throws org.xml.sax.SAXException

  The value of the Depth header.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startDisplayName

    void startDisplayName()
                          throws org.xml.sax.SAXException

  Provides a name for the resource that is suitable for presentation to a user. Description: The displayname property should be defined on all DAV compliant resources. If present, the property contains a description of the resource that is suitable for presentation to a user.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startDst

    void startDst()
                  throws org.xml.sax.SAXException

  Indicates the destination of a link

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startExclusive

    void startExclusive()
                        throws org.xml.sax.SAXException

  Specifies an exclusive lock

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startGetContentLanguage

    void startGetContentLanguage()
                                 throws org.xml.sax.SAXException

  Contains the Content-Language header returned by a GET without accept headers Description: The getcontentlanguage property MUST be defined on any DAV compliant resource that returns the Content-Language header on a GET. Value: language-tag ;language-tag is defined in section 14.13 of [RFC2068]

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startGetContentLength

    void startGetContentLength()
                               throws org.xml.sax.SAXException

  Contains the Content-Length header returned by a GET without accept headers. Description: The getcontentlength property MUST be defined on any DAV compliant resource that returns the Content-Length header in response to a GET.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startGetContentType

    void startGetContentType()
                             throws org.xml.sax.SAXException

  Contains the Content-Type header returned by a GET without accept headers. Description: This getcontenttype property MUST be defined on any DAV compliant resource that returns the Content-Type header in response to a GET. Value: media-type ; defined in section 3.7 of [RFC2068]

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startGetETag

    void startGetETag()
                      throws org.xml.sax.SAXException

  Contains the ETag header returned by a GET without accept headers. Description: The getetag property MUST be defined on any DAV compliant resource that returns the Etag header. Value: entity-tag ; defined in section 3.11 of [RFC2068]

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startGetLastModified

    void startGetLastModified()
                              throws org.xml.sax.SAXException

  Contains the Last-Modified header returned by a GET method without accept headers. Description: Note that the last-modified date on a resource may reflect changes in any part of the state of the resource, not necessarily just a change to the response to the GET method. For example, a change in a property may cause the last-modified date to change. The getlastmodified property MUST be defined on any DAV compliant resource that returns the Last-Modified header in response to a GET. Value: HTTP-date ; defined in section 3.3.1 of [RFC2068]

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startHref

    void startHref()
                   throws org.xml.sax.SAXException

  Identifies the content of the element as a URI.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavHref

    void webdavHref()
                    throws org.xml.sax.SAXException

  Identifies the content of the element as a URI.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startKeepAlive

    void startKeepAlive()
                        throws org.xml.sax.SAXException

  Specifies requirements for the copying/moving of live properties. Description: If a list of URIs is included as the value of keepalive then the named properties MUST be "live" after they are copied (moved) to the destination resource of a COPY (or MOVE). If the value "*" is given for the keepalive XML element, this designates that all live properties on the source resource MUST be live on the destination. If the requirements specified by the keepalive element can not be honored then the method MUST fail with a 412 (Precondition Failed). All DAV compliant resources MUST support the keepalive XML element for use with the COPY and MOVE methods.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startLink

    void startLink()
                   throws org.xml.sax.SAXException

  Identifies the property as a link and contains the source and destination of that link. Description: The link XML element is used to provide the sources and destinations of a link. The name of the property containing the link XML element provides the type of the link. Link is a multi-valued element, so multiple links may be used together to indicate multiple links with the same type. The values in the href XML elements inside the src and dst XML elements of the link XML element MUST NOT be rejected if they point to resources which do not exist.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startLockDiscovery

    void startLockDiscovery()
                            throws org.xml.sax.SAXException

  Describes the active locks on a resource Description: The lockdiscovery property returns a listing of who has a lock, what type of lock he has, the timeout type and the time remaining on the timeout, and the associated lock token. The server is free to withhold any or all of this information if the requesting principal does not have sufficient access rights to see the requested data.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavLockDiscovery

    void webdavLockDiscovery()
                             throws org.xml.sax.SAXException

  Describes the active locks on a resource Description: The lockdiscovery property returns a listing of who has a lock, what type of lock he has, the timeout type and the time remaining on the timeout, and the associated lock token. The server is free to withhold any or all of this information if the requesting principal does not have sufficient access rights to see the requested data.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startLockEntry

    void startLockEntry()
                        throws org.xml.sax.SAXException

  Defines the types of locks that can be used with the resource.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavLockEntry

    void webdavLockEntry(DefaultWebdavContentHandler.LockScope aScope,
                         DefaultWebdavContentHandler.LockType aType)
                         throws org.xml.sax.SAXException

  Defines the types of locks that can be used with the resource.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startLockInfo

    void startLockInfo()
                       throws org.xml.sax.SAXException

  The lockinfo XML element is used with a LOCK method to specify the type of lock the client wishes to have created.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startLockScope

    void startLockScope()
                        throws org.xml.sax.SAXException

  Specifies whether a lock is an exclusive lock, or a shared lock.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startLockToken

    void startLockToken()
                        throws org.xml.sax.SAXException

  The lock token associated with a lock.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavLockToken

    void webdavLockToken(java.net.URI aToken)
                         throws org.xml.sax.SAXException

  The lock token associated with a lock.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startLockType

    void startLockType()
                       throws org.xml.sax.SAXException

  Specifies the access type of a lock. At present, this specification only defines one lock type, the write lock.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startMultiStatus

    void startMultiStatus()
                          throws org.xml.sax.SAXException

  Contains multiple response messages. Description: The responsedescription at the top level is used to provide a general message describing the overarching nature of the response. If this value is available an application may use it instead of presenting the individual response descriptions contained within the responses.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startOmit

    void startOmit()
                   throws org.xml.sax.SAXException

  The omit XML element instructs the server that it should use best effort to copy properties but a failure to copy a property MUST NOT cause the method to fail. Description: The default behavior for a COPY or MOVE is to copy/move all properties or fail the method. In certain circumstances, such as when a server copies a resource over another protocol such as FTP, it may not be possible to copy/move the properties associated with the resource. Thus any attempt to copy/move over FTP would always have to fail because properties could not be moved over, even as dead properties. All DAV compliant resources MUST support the omit XML element on COPY/MOVE methods.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startOwner

    void startOwner()
                    throws org.xml.sax.SAXException

  Provides information about the principal taking out a lock. Description: The owner XML element provides information sufficient for either directly contacting a principal (such as a telephone number or Email URI), or for discovering the principal (such as the URL of a homepage) who owns a lock.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startProp

    void startProp()
                   throws org.xml.sax.SAXException

  Contains properties related to a resource. Description: The prop XML element is a generic container for properties defined on resources. All elements inside a prop XML element MUST define properties related to the resource. No other elements may be used inside of a prop element.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startPropertyBehavior

    void startPropertyBehavior()
                               throws org.xml.sax.SAXException

  Specifies how properties are handled during a COPY or MOVE. Description: The propertybehavior XML element specifies how properties are handled during a COPY or MOVE. If this XML element is not included in the request body then the server is expected to act as defined by the default property handling behavior of the associated method. All WebDAV compliant resources MUST support the propertybehavior XML element.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startPropertyUpdate

    void startPropertyUpdate()
                             throws org.xml.sax.SAXException

  Contains a request to alter the properties on a resource. Description: This XML element is a container for the information required to modify the properties on the resource. This XML element is multi-valued.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startPropFind

    void startPropFind()
                       throws org.xml.sax.SAXException

  Specifies the properties to be returned from a PROPFIND method. Two special elements are specified for use with propfind, allprop and propname. If prop is used inside propfind it MUST only contain property names, not values.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startPropName

    void startPropName()
                       throws org.xml.sax.SAXException

  The propname XML element specifies that only a list of property names on the resource is to be returned.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startPropStat

    void startPropStat()
                       throws org.xml.sax.SAXException

  Groups together a prop and status element that is associated with a particular href element. Description: The propstat XML element MUST contain one prop XML element and one status XML element. The contents of the prop XML element MUST only list the names of properties to which the result in the status element applies.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startRemove

    void startRemove()
                     throws org.xml.sax.SAXException

  Lists the DAV properties to be removed from a resource. Description: Remove instructs that the properties specified in prop should be removed. Specifying the removal of a property that does not exist is not an error. All the XML elements in a prop XML element inside of a remove XML element MUST be empty, as only the names of properties to be removed are required.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startResourceType

    void startResourceType()
                           throws org.xml.sax.SAXException

  Specifies the nature of the resource. Description: The resourcetype property MUST be defined on all DAV compliant resources. The default value is empty.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startResponse

    void startResponse()
                       throws org.xml.sax.SAXException

  Holds a single response describing the effect of a method on resource and/or its properties. Description: A particular href MUST NOT appear more than once as the child of a response XML element under a multistatus XML element. This requirement is necessary in order to keep processing costs for a response to linear time. Essentially, this prevents having to search in order to group together all the responses by href. There are, however, no requirements regarding ordering based on href values.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startResponseDescription

    void startResponseDescription()
                                  throws org.xml.sax.SAXException

  Contains a message that can be displayed to the user explaining the nature of the response. Description: This XML element provides information suitable to be presented to a user.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startSet

    void startSet()
                  throws org.xml.sax.SAXException

  Lists the DAV property values to be set for a resource. Description: The set XML element MUST contain only a prop XML element. The elements contained by the prop XML element inside the set XML element MUST specify the name and value of properties that are set on the resource identified by Request-URI. If a property already exists then its value is replaced. Language tagging information in the property's value (in the "xml:lang" attribute, if present) MUST be persistently stored along with the property, and MUST be subsequently retrievable using PROPFIND.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startShared

    void startShared()
                     throws org.xml.sax.SAXException

  Specifies a shared lock

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startSource

    void startSource()
                     throws org.xml.sax.SAXException

  The destination of the source link identifies the resource that contains the unprocessed source of the link's source. Description: The source of the link (src) is typically the URI of the output resource on which the link is defined, and there is typically only one destination (dst) of the link, which is the URI where the unprocessed source of the resource may be accessed. When more than one link destination exists, this specification asserts no policy on ordering.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavSource

    void webdavSource()
                      throws org.xml.sax.SAXException

  The destination of the source link identifies the resource that contains the unprocessed source of the link's source. Description: The source of the link (src) is typically the URI of the output resource on which the link is defined, and there is typically only one destination (dst) of the link, which is the URI where the unprocessed source of the resource may be accessed. When more than one link destination exists, this specification asserts no policy on ordering.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startSrc

    void startSrc()
                  throws org.xml.sax.SAXException

  Indicates the source of a link.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startStatus

    void startStatus()
                     throws org.xml.sax.SAXException

  Holds a single HTTP status-line Value: status-line ;status-line defined in [RFC2068]

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startSupportedLock

    void startSupportedLock()
                            throws org.xml.sax.SAXException

  To provide a listing of the lock capabilities supported by the resource. Description: The supportedlock property of a resource returns a listing of the combinations of scope and access types which may be specified in a lock request on the resource. Note that the actual contents are themselves controlled by access controls so a server is not required to provide information the client is not authorized to see.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavSupportedLock

    void webdavSupportedLock()
                             throws org.xml.sax.SAXException

  To provide a listing of the lock capabilities supported by the resource. Description: The supportedlock property of a resource returns a listing of the combinations of scope and access types which may be specified in a lock request on the resource. Note that the actual contents are themselves controlled by access controls so a server is not required to provide information the client is not authorized to see.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startTimeout

    void startTimeout()
                      throws org.xml.sax.SAXException

  The timeout associated with a lock

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavTimeout

    void webdavTimeout(long aTimeout)
                       throws org.xml.sax.SAXException

  The timeout associated with a lock

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startWrite

    void startWrite()
                    throws org.xml.sax.SAXException

  Specifies a write lock.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startAcl

    void startAcl()
                  throws org.xml.sax.SAXException

  Describes the access control list on a resource Description: This is a protected property that specifies the list of access control entries (ACEs), which define what principals are to get what privileges for this resource.

  Throws:
    `org.xml.sax.SAXException`

### startAce

    void startAce()
                  throws org.xml.sax.SAXException

  Describes one access control entry on a resource Description: Each DAV:ace element specifies the set of privileges to be either granted or denied to a single principal. If the DAV:acl property is empty, no principal is granted any privilege.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startPrincipal

    void startPrincipal()
                        throws org.xml.sax.SAXException

  Describes the principal Description: The DAV:principal element identifies the principal to which this ACE applies.

  Throws:
    `org.xml.sax.SAXException`

### startGrant

    void startGrant()
                    throws org.xml.sax.SAXException

  Describes that the related privileges are granted to a principal Description: Each DAV:grant or DAV:deny element specifies the set of privileges to be either granted or denied to the specified principal. A DAV:grant or DAV:deny element of the DAV:acl of a resource MUST only contain non-abstract elements specified in the DAV:supported-privilege-set of that resource.

  Throws:
    `org.xml.sax.SAXException`

### startDeny

    void startDeny()
                   throws org.xml.sax.SAXException

  Describes that the related privileges are denied from to a principal Description: Each DAV:grant or DAV:deny element specifies the set of privileges to be either granted or denied to the specified principal. A DAV:grant or DAV:deny element of the DAV:acl of a resource MUST only contain non-abstract elements specified in the DAV:supported-privilege-set of that resource.

  Throws:
    `org.xml.sax.SAXException`

### startProtected

    void startProtected()
                        throws org.xml.sax.SAXException

  Describes that the ACE is protected Description: A server indicates an ACE is protected by including the DAV:protected element in the ACE. If the ACL of a resource contains an ACE with a DAV:protected element, an attempt to remove that ACE from the ACL MUST fail.

  Throws:
    `org.xml.sax.SAXException`

### startInherited

    void startInherited()
                        throws org.xml.sax.SAXException

  Describes that the ACE is protected Description: The presence of a DAV:inherited element indicates that this ACE is inherited from another resource that is identified by the URL contained in a DAV:href element. An inherited ACE cannot be modified directly, but instead the ACL on the resource from which it is inherited must be modified.

  Throws:
    `org.xml.sax.SAXException`

### startGroup

    void startGroup(org.xml.sax.Attributes attrs)
                    throws org.xml.sax.SAXException

  Describes the group of a resource Description: This property identifies a particular principal as being the "group" of the resource. This property is commonly found on repositories that implement the Unix privileges model.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startGroup

    void startGroup()
                    throws org.xml.sax.SAXException

  Describes the group of a resource Description: This property identifies a particular principal as being the "group" of the resource. This property is commonly found on repositories that implement the Unix privileges model.

  Throws:
    `org.xml.sax.SAXException`

### startCurrentUserPrivilegeSet

    void startCurrentUserPrivilegeSet()
                                      throws org.xml.sax.SAXException

  Describes the privileges of the current user Description: DAV:current-user-privilege-set is a protected property containing the exact set of privileges (as computed by the server) granted to the currently authenticated HTTP user. Aggregate privileges and their contained privileges are listed.

  Throws:
    `org.xml.sax.SAXException`

### startSupportedPrivilegeSet

    void startSupportedPrivilegeSet()
                                    throws org.xml.sax.SAXException

  Describes the supported privileges of a resource Description: This is a protected property that identifies the privileges defined for the resource.

  Throws:
    `org.xml.sax.SAXException`

### startSupportedPrivilege

    void startSupportedPrivilege()
                                 throws org.xml.sax.SAXException

  Describes one supported privilege of a resource

  Throws:
    `org.xml.sax.SAXException`

### startPrivilege

    void startPrivilege()
                        throws org.xml.sax.SAXException

  one supported privilege of a resource

  Throws:
    `org.xml.sax.SAXException`

### startAbstract

    void startAbstract()
                       throws org.xml.sax.SAXException

  Describes whether a privilege is abstract

  Throws:
    `org.xml.sax.SAXException`

### startDescription

    void startDescription()
                          throws org.xml.sax.SAXException

  Describes a privilege

  Throws:
    `org.xml.sax.SAXException`

### startAclRestrictions

    void startAclRestrictions()
                              throws org.xml.sax.SAXException

  Describes the acl restricitons of this server Description: This protected property defines the types of ACLs supported by this server, to avoid clients needlessly getting errors.

  Throws:
    `org.xml.sax.SAXException`

### startGrantOnly

    void startGrantOnly()
                        throws org.xml.sax.SAXException

  Describes a ACL restriction: No deny is allowed Description: This element indicates that ACEs with deny clauses are not allowed.

  Throws:
    `org.xml.sax.SAXException`

### startNoInvert

    void startNoInvert()
                       throws org.xml.sax.SAXException

  Describes a ACL restriction: No invert is allowed Description: This element indicates that ACEs with the element are not allowed.

  Throws:
    `org.xml.sax.SAXException`

### startDenyBeforeGrant

    void startDenyBeforeGrant()
                              throws org.xml.sax.SAXException

  Describes a ACL restriction: Deny must precede grant Description: This element indicates that all deny ACEs must precede all grant ACEs.

  Throws:
    `org.xml.sax.SAXException`

### startRequiredPrincipals

    void startRequiredPrincipals()
                                 throws org.xml.sax.SAXException

  Describes a ACL restriction: List of required principals Description: The required principal elements identify which principals must have an ACE defined in the ACL.

  Throws:
    `org.xml.sax.SAXException`

### startInheritedAclSet

    void startInheritedAclSet()
                              throws org.xml.sax.SAXException

  Describes the resources that inherit ACLs to a resource Description: This protected property contains a set of URLs that identify other resources that also control the access to this resource.

  Throws:
    `org.xml.sax.SAXException`

### startPrincipalCollectionSet

    void startPrincipalCollectionSet()
                                     throws org.xml.sax.SAXException

  Describes the sets of principals Description: This protected property of a resource contains a set of URLs that identify the root collections that contain the principals that are available on the server that implements this resource.

  Throws:
    `org.xml.sax.SAXException`

### webdavCollection

    void webdavCollection()
                          throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavCreationDate

    void webdavCreationDate()
                            throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavCreationDate

    void webdavCreationDate(java.util.Date date)
                            throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavCreationDate

    void webdavCreationDate(long date)
                            throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavDisplayName

    void webdavDisplayName()
                           throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavDisplayName

    void webdavDisplayName(java.lang.String name)
                           throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavExclusive

    void webdavExclusive()
                         throws org.xml.sax.SAXException

  Specifies an exclusive lock

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavGetContentLanguage

    void webdavGetContentLanguage()
                                  throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavGetContentLanguage

    void webdavGetContentLanguage(java.util.Locale locale)
                                  throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavGetContentLanguage

    void webdavGetContentLanguage(java.lang.String locale)
                                  throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavGetContentLength

    void webdavGetContentLength()
                                throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavGetContentLength

    void webdavGetContentLength(int size)
                                throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavGetContentLength

    void webdavGetContentLength(long size)
                                throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavGetContentType

    void webdavGetContentType()
                              throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavGetContentType

    void webdavGetContentType(java.lang.String ct)
                              throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavGetETag

    void webdavGetETag()
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavGetETag

    void webdavGetETag(java.lang.String eTag)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavGetLastModified

    void webdavGetLastModified()
                               throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavGetLastModified

    void webdavGetLastModified(java.util.Date time)
                               throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavGetLastModified

    void webdavGetLastModified(long time)
                               throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavHref

    void webdavHref(java.lang.String href)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavHref

    void webdavHref(java.net.URI href)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavHref

    void webdavHref(java.net.URL href)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavLockInfo

    void webdavLockInfo(DefaultWebdavContentHandler.LockType aType,
                        DefaultWebdavContentHandler.LockScope aScope,
                        org.w3c.dom.Document aOwner)
                        throws org.xml.sax.SAXException

  The lockinfo XML element is used with a LOCK method to specify the type of lock the client wishes to have created.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavLockInfo

    void webdavLockInfo(DefaultWebdavContentHandler.LockType aType,
                        DefaultWebdavContentHandler.LockScope aScope,
                        java.lang.String aOwner)
                        throws org.xml.sax.SAXException

  The lockinfo XML element is used with a LOCK method to specify the type of lock the client wishes to have created.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavLockScope

    void webdavLockScope(DefaultWebdavContentHandler.LockScope scope)
                         throws org.xml.sax.SAXException

  Specifies whether a lock is an exclusive lock, or a shared lock.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavLockType

    void webdavLockType(DefaultWebdavContentHandler.LockType type)
                        throws org.xml.sax.SAXException

  Specifies the access type of a lock. At present, this specification only defines one lock type, the write lock.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavOwner

    void webdavOwner(org.w3c.dom.Document owner)
                     throws org.xml.sax.SAXException

  Provides information about the principal taking out a lock. Description: The owner XML element provides information sufficient for either directly contacting a principal (such as a telephone number or Email URI), or for discovering the principal (such as the URL of a homepage) who owns a lock.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavOwner

    void webdavOwner(java.lang.String owner)
                     throws org.xml.sax.SAXException

  Provides information about the principal taking out a lock. Description: The owner XML element provides information sufficient for either directly contacting a principal (such as a telephone number or Email URI), or for discovering the principal (such as the URL of a homepage) who owns a lock.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavResourceType

    void webdavResourceType()
                            throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavResourceType

    void webdavResourceType(DefaultWebdavContentHandler.ResourceType type)
                            throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavShared

    void webdavShared()
                      throws org.xml.sax.SAXException

  Specifies a shared lock

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavStatus

    void webdavStatus(int code)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavStatus

    void webdavStatus(java.lang.String statusLine)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavWrite

    void webdavWrite()
                     throws org.xml.sax.SAXException

  Specifies a write lock.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startName

    void startName()
                   throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavName

    void webdavName(java.lang.String rName)
                    throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavName

    void webdavName()
                    throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startParentName

    void startParentName()
                         throws org.xml.sax.SAXException

  MS extension The parentname field specifies the name of the folder that contains an item

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavParentName

    void webdavParentName(java.lang.String rName)
                          throws org.xml.sax.SAXException

  MS extension The parentname field specifies the name of the folder that contains an item

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavParentName

    void webdavParentName()
                          throws org.xml.sax.SAXException

  MS extension The parentname field specifies the name of the folder that contains an item

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startIsHidden

    void startIsHidden()
                       throws org.xml.sax.SAXException

  MS extension The ishidden field specifies whether an item is hidden.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavIsHidden

    void webdavIsHidden(boolean bIsHidden)
                        throws org.xml.sax.SAXException

  MS extension The ishidden field specifies whether an item is hidden.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavIsHidden

    void webdavIsHidden()
                        throws org.xml.sax.SAXException

  MS extension The ishidden field specifies whether an item is hidden.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startIsCollection

    void startIsCollection()
                           throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavIsCollection

    void webdavIsCollection(boolean bFlag)
                            throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavIsCollection

    void webdavIsCollection()
                            throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startIsReadOnly

    void startIsReadOnly()
                         throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavIsReadOnly

    void webdavIsReadOnly(boolean bFlag)
                          throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavIsReadOnly

    void webdavIsReadOnly()
                          throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startContentClass

    void startContentClass()
                           throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavContentClass

    void webdavContentClass(java.lang.String rClass)
                            throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavContentClass

    void webdavContentClass()
                            throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startLastAccessed

    void startLastAccessed()
                           throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavLastAccessed

    void webdavLastAccessed(long rDate)
                            throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavLastAccessed

    void webdavLastAccessed()
                            throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavGetLastAccessed

    void webdavGetLastAccessed(java.util.Date rDate)
                               throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startIsStructuredDocument

    void startIsStructuredDocument()
                                   throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavIsStructuredDocument

    void webdavIsStructuredDocument(boolean bFlag)
                                    throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavIsStructuredDocument

    void webdavIsStructuredDocument()
                                    throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startDefaultDocument

    void startDefaultDocument()
                              throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavDefaultDocument

    void webdavDefaultDocument(java.lang.String rName)
                               throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavDefaultDocument

    void webdavDefaultDocument()
                               throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### startIsRoot

    void startIsRoot()
                     throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavIsRoot

    void webdavIsRoot(boolean bFlag)
                      throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavIsRoot

    void webdavIsRoot()
                      throws org.xml.sax.SAXException

  MS extension

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`

### webdavPropName

    void webdavPropName()
                        throws org.xml.sax.SAXException

  The propname XML element specifies that only a list of property names on the resource is to be returned.

  Parameters:
    `attrs` -
  Throws:
    `org.xml.sax.SAXException`
  Since:
    6.1.0.3

### startElement

    void startElement(javax.xml.namespace.QName element)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endElement

    void endElement(javax.xml.namespace.QName element)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavElement

    void webdavElement(javax.xml.namespace.QName element)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavElement

    void webdavElement(java.net.URI element)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavAcl

    void webdavAcl()
                   throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavGroup

    void webdavGroup()
                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavCurrentUserPrivilegeSet

    void webdavCurrentUserPrivilegeSet()
                                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavSupportedPrivilegeSet

    void webdavSupportedPrivilegeSet()
                                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavSupportedPrivilege

    void webdavSupportedPrivilege()
                                  throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavPrivilege

    void webdavPrivilege()
                         throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavPrivilege

    void webdavPrivilege(javax.xml.namespace.QName privilege)
                         throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavAclRestrictions

    void webdavAclRestrictions()
                               throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavInheritedAclSet

    void webdavInheritedAclSet()
                               throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavPrincipalCollectionSet

    void webdavPrincipalCollectionSet()
                                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavAbstract

    void webdavAbstract()
                        throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavDescription

    void webdavDescription(java.util.Locale loc,
                           java.lang.String text)
                           throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavGrantOnly

    void webdavGrantOnly()
                         throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavNoInvert

    void webdavNoInvert()
                        throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavDenyBeforeGrant

    void webdavDenyBeforeGrant()
                               throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavRequiredPrincipals

    void webdavRequiredPrincipals()
                                  throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavAce

    void webdavAce()
                   throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavPrincipal

    void webdavPrincipal(java.net.URL principal)
                         throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavPrincipal

    void webdavPrincipal(java.net.URI principal)
                         throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavGrant

    void webdavGrant()
                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavDeny

    void webdavDeny()
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavProtected

    void webdavProtected()
                         throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### webdavInherited

    void webdavInherited()
                         throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD